using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StunAbility : AoEAbility
{
    private float CONST_StatusDuration = 2.5f;
    private float CONST_Cooldown = 8.0f;
    private string CONST_Name = "AE Stun";

    void Start()
    {
        Ready = true;
        SetInfo(CONST_Name, CONST_Cooldown);
        Icon = "icon-stun";
    }

    public override void DoAction(Player _target)
    {
        _target.m_AffectingStatus.Add(new StatusStunned(CONST_StatusDuration));
    }
}
